Subject: bug#41808: 28.0.50; Various battery.el improvements

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 11 Jun 2020 18:22:22 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: "Basil L. Contovounesios" <[email-masked]>
>> Date: Thu, 11 Jun 2020 16:47:40 +0100
>> Cc: mattias engdegård <[email-masked]>
>> 
>> -	((fboundp 'w32-battery-status)
>> +        ((functionp 'w32-battery-status)
>>  	 #'w32-battery-status))
>
> Is something wrong with fboundp?  I think we have dozens if not
> hundreds of such uses of fboundp, so if something's wrong with it, we
> had better fixed them all.

The only reason I switched to functionp is because
battery-status-function is passed to funcall, but now that I think about
it again we're only checking whether the definition exists at all here,
so I reverted to fboundp.

Thanks,

-- 
Basil